/***********************************************************************
 * 
 *  Copyright (C) 2005-2006 Novell, Inc. All Rights Reserved.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; version 2.1
 *  of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, Novell, Inc.
 * 
 *  To contact Novell about this file by physical or electronic mail, 
 *  you may find current contact information at www.novell.com.
 * 
 ***********************************************************************/


#ifndef _SSUTF8_H_
#define _SSUTF8_H_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" 
{
#endif

#include "sscs_string.h"

#ifndef _MICASA_H_
/* defining the utf8 for SSCS */
typedef	unsigned char SS_UTF8_T;
#endif

#define sscs_Utf8Strlen(s)			sscs_strlen((s))
#define sscs_Utf8StrSize(s)			(sscs_strlen((s)) ? (sscs_strlen((s))+1) : 0)
#define sscs_Utf8Strcpy(s1, s2)		sscs_strcpy((s1),(s2))
#define sscs_Utf8Strcat(s1, s2)		sscs_strcat((s1),(s2))
#define sscs_Utf8Strcmp(s1, s2)		sscs_strcmp((s1),(s2))
#define sscs_Utf8Stricmp(s1, s2)		sscs_stricmp((s1),(s2))
#define sscs_Utf8Strstr(s1, s2)		sscs_strstr((s1),(s2))
#define sscs_Utf8Strchr(s1, c)		sscs_strchr((s1),(c))
#define sscs_Utf8Strncat(s1, s2, l)	{(s2)[(l)-1]='\0';strncat((s1),(s2),(l));}
#define sscs_Utf8Strncmp(s1, s2, l)	(strncmp((s1),(s2),(l)))
#define sscs_Utf8Strncpy(s1, s2, l)	{(s2)[(l)-1]='\0';strncpy((s1),(s2),(l));}


#if defined(__cplusplus) || defined(c_plusplus)
}
#endif


#endif
